=== debian/changelog ===
ocaml-websocket (2.17-1build8) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:50:48 +0200

ocaml-websocket (2.17-1build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Sep 2025 08:20:30 +0200

ocaml-websocket (2.17-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:37:59 +0200

ocaml-websocket (2.17-1build5) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 May 2025 07:35:17 -0400

ocaml-websocket (2.17-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:47:27 +0100

ocaml-websocket (2.17-1build3) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:54:10 +0100

ocaml-websocket (2.17-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:32:59 +0100

ocaml-websocket (2.17-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 22:13:57 +0100

ocaml-websocket (2.17-1) unstable; urgency=medium

  * Initial release (Closes: #1094983)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Feb 2025 09:34:42 +0100
