=== debian/control ===
Source: ocaml-websocket
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libbase64-ocaml-dev,
 liblwt-log-ocaml-dev,
 libcohttp-lwt-unix-ocaml-dev,
 libocplib-endian-ocaml-dev,
 libastring-ocaml-dev,
 libmirage-crypto-ocaml-dev,
 dh-ocaml (>= 2)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/vbmithr/ocaml-websocket
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-websocket
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-websocket.git

Package: libwebsocket-ocaml-dev
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (dev)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains development files.

Package: libwebsocket-ocaml
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (runtime)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains runtime files.


Package: libwebsocket-lwt-unix-ocaml-dev
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (Lwt support) (dev)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains the Lwt support.
 .
 This package contains development files.

Package: libwebsocket-lwt-unix-ocaml
Architecture: any
Provides: ${ocaml:Provides}
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: WebSocket library (Lwt support) (runtime)
 The WebSocket Protocol enables two-way communication between a client
 running untrusted code in a controlled environment to a remote host
 that has opted-in to communications from that code.
 .
 The security model used for this is the origin-based security model
 commonly used by web browsers. The protocol consists of an opening
 handshake followed by basic message framing, layered over TCP.
 .
 The goal of this technology is to provide a mechanism for
 browser-based applications that need two-way communication with
 servers that does not rely on opening multiple HTTP connections
 (e.g., using XMLHttpRequest or <iframe>s and long polling).
 .
 This package contains the Lwt support.
 .
 This package contains runtime files.
