=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/vbmithr/ocaml-websocket/releases?per_page=50 \
https://github.com/vbmithr/ocaml-websocket/releases/download/[^/]+/websocket-@ANY_VERSION@\.tbz
